Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.msgflash.com/llms.txt

Use this file to discover all available pages before exploring further.

Endpoint

GET /api/v1/instances/{id}

Parameters path

NomTypeRequiredDescription
idUUIDyesID de l’instance

Request example

curl https://srv.msgflash.com/api/v1/instances/INSTANCE_ID \
  -H "x-api-key: msgf_live_your_api_key_here"

Success response 200

{
  "data": {
    "id": "inst_uuid",
    "name": "boutique-principale",
    "waNumber": "+33612345678",
    "status": "connected",
    "webhook": null,
    "meta": null,
    "deletedAt": null,
    "createdAt": "2026-04-01T09:00:00.000Z",
    "updatedAt": "2026-04-01T09:10:00.000Z"
  }
}

Common errors

HTTPCodeWhen
401UNAUTHORIZEDAPI key missing or invalid
404NOT_FOUNDInstance does not exist or is outside your account